---
lang: en
title: 'API docs: authentication-passport.strategyadapter._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-passport
permalink: /doc/en/lb4/apidocs.authentication-passport.strategyadapter._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-passport](./authentication-passport.md) &gt; [StrategyAdapter](./authentication-passport.strategyadapter.md) &gt; [(constructor)](./authentication-passport.strategyadapter._constructor_.md)

## StrategyAdapter.(constructor)

Constructs a new instance of the `StrategyAdapter` class

**Signature:**

```typescript
constructor(strategy: Strategy, name: string, userProfileFactory?: UserProfileFactory<U>);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

strategy


</td><td>

Strategy


</td><td>

instance of a class which implements a [passport-strategy](http://passportjs.org/)<!-- -->.


</td></tr>
<tr><td>

name


</td><td>

string


</td><td>


</td></tr>
<tr><td>

userProfileFactory


</td><td>

[UserProfileFactory](./authentication.userprofilefactory.md)<!-- -->&lt;U&gt;


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

